[
    {
        "Id": "640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7",
        "Created": "2025-05-23T21:02:09.520300121Z",
        "Path": "/watchtower",
        "Args": [
            "--cleanup",
            "--schedule",
            "0 0 2 * * *"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 2766,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-12T22:09:40.201957542Z",
            "FinishedAt": "2025-08-12T22:08:06.297033024Z",
            "Health": {
                "Status": "healthy",
                "FailingStreak": 0,
                "Log": [
                    {
                        "Start": "2025-08-23T21:47:25.457048549-04:00",
                        "End": "2025-08-23T21:47:25.529637386-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:47:55.529903763-04:00",
                        "End": "2025-08-23T21:47:55.639673031-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:48:25.640539358-04:00",
                        "End": "2025-08-23T21:48:25.731372408-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:48:55.73250155-04:00",
                        "End": "2025-08-23T21:48:55.852000606-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    },
                    {
                        "Start": "2025-08-23T21:49:25.853388282-04:00",
                        "End": "2025-08-23T21:49:25.969212803-04:00",
                        "ExitCode": 0,
                        "Output": ""
                    }
                ]
            }
        },
        "Image": "sha256:e7dd50d07b86c380dd53caeb7778da052d1a8fc2c606644a419afa35e9f5691e",
        "ResolvConfPath": "/var/lib/docker/containers/640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7/resolv.conf",
        "HostnamePath": "/var/lib/docker/containers/640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7/hostname",
        "HostsPath": "/var/lib/docker/containers/640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7/hosts",
        "LogPath": "/var/lib/docker/containers/640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7/640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7-json.log",
        "Name": "/watchtower-watchtower-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": [
                "/var/run/docker.sock:/var/run/docker.sock:rw"
            ],
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "watchtower_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "unless-stopped",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "640b5a3c0a9a5989f3b762e6e3b257657e3ec0b988962fcb185a4119e0386ea7",
                "LowerDir": "/var/lib/docker/overlay2/34802c5fb83b2b08595790c56e50e3c24a904c9fff0371f38fe041428a513bf7-init/diff:/var/lib/docker/overlay2/8b281485589639f2f1f08de0bf17a22933a38ccbe3fc59984585b98ab4078fed/diff:/var/lib/docker/overlay2/d8952738eefac3781a9a667ff604869f7ea86e9e48b9573ade187c6896d72cef/diff:/var/lib/docker/overlay2/bcc37fa876d7544e747fd86e85a54d6614381d68a436c365f8a614dc8967504e/diff",
                "MergedDir": "/var/lib/docker/overlay2/34802c5fb83b2b08595790c56e50e3c24a904c9fff0371f38fe041428a513bf7/merged",
                "UpperDir": "/var/lib/docker/overlay2/34802c5fb83b2b08595790c56e50e3c24a904c9fff0371f38fe041428a513bf7/diff",
                "WorkDir": "/var/lib/docker/overlay2/34802c5fb83b2b08595790c56e50e3c24a904c9fff0371f38fe041428a513bf7/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "bind",
                "Source": "/var/run/docker.sock",
                "Destination": "/var/run/docker.sock",
                "Mode": "rw",
                "RW": true,
                "Propagation": "rprivate"
            }
        ],
        "Config": {
            "Hostname": "640b5a3c0a9a",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "8080/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "TZ=America/New_York",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
            ],
            "Cmd": [
                "--cleanup",
                "--schedule",
                "0 0 2 * * *"
            ],
            "Healthcheck": {
                "Test": [
                    "CMD",
                    "/watchtower",
                    "--health-check"
                ]
            },
            "Image": "containrrr/watchtower",
            "Volumes": null,
            "WorkingDir": "/",
            "Entrypoint": [
                "/watchtower"
            ],
            "OnBuild": null,
            "Labels": {
                "com.centurylinklabs.watchtower": "true",
                "com.docker.compose.config-hash": "6519c48f19da48badfc681c9948581381dce361a3e4db664c06823a9538e05a7",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:e7dd50d07b86c380dd53caeb7778da052d1a8fc2c606644a419afa35e9f5691e",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "watchtower",
                "com.docker.compose.project.config_files": "",
                "com.docker.compose.project.working_dir": "/data/compose/47/v1",
                "com.docker.compose.service": "watchtower",
                "com.docker.compose.version": ""
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "82a86ecc6208ea1a286cd8619c8338e3e6896a05d882f71dd2a191d84b3bc7a2",
            "SandboxKey": "/var/run/docker/netns/82a86ecc6208",
            "Ports": {
                "8080/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "watchtower_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "watchtower-watchtower-1",
                        "watchtower"
                    ],
                    "MacAddress": "fa:1f:f6:cf:25:ad",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "95c6d703abd118cc62acb348979f315a6cb93df7ee40faca08e14c4d0c3791ef",
                    "EndpointID": "e42213f547543d6263b384bb24cbd6b7747b392feb7dd233462c943fc41b8589",
                    "Gateway": "172.21.0.1",
                    "IPAddress": "172.21.0.2",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "watchtower-watchtower-1",
                        "watchtower",
                        "640b5a3c0a9a"
                    ]
                }
            }
        }
    }
]
